<template>
    <div id="app" class="container">
        <h1 class="text-center">Student Management</h1>
        <button class="btn btn-primary" @click="isAdding = !isAdding">
            Them +
        </button>
        <student-management
            @delete-student="deleteStudent"
            :students="students"
        />
        <add-student v-show="isAdding" @add-student="addStudent" />
    </div>
</template>

<script>
import StudentManagement from "./components/StudentManagement.vue";
import AddStudent from "./components/AddStudent";

export default {
    name: "App",
    components: {
        StudentManagement,
        AddStudent,
    },
    data() {
        return {
            isAdding: false,
            students: [
                {
                    code: "SV1",
                    name: "Student 1",
                    sex: "Nam",
                    hobbies: "game, music",
                },
                {
                    code: "SV2",
                    name: "Student 2",
                    sex: "Nu",
                    hobbies: "nghe nhạc",
                },
            ],
        };
    },
    methods: {
        deleteStudent(student) {
            const indexStudent = this.students.indexOf(student);
            this.students.splice(indexStudent, 1);
        },
        addStudent(student) {
            this.students.push(student);
            this.isAdding = false;
        },
    },
};
</script>

<style></style>
